Message.h File Reference
`#include "FieldMap.h"`
`#include "Fields.h"`
`#include "Group.h"`
`#include "SessionID.h"`
`#include "DataDictionary.h"`
`#include "Values.h"`
`#include <vector>`
`#include <memory>`
Include dependency graph for Message.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | FIX::Header
class | FIX::Trailer
class | FIX::Message
| Base class for all FIX messages. More...

## Namespaces

| FIX

## Functions

std::ostream & | FIX::operator<< (std::ostream &stream, const Message &message)
MsgType | FIX::identifyType (const std::string &message) throw ( MessageParseError )
| Parse the type of a message from a string. More...

## Variables

static int const | FIX::headerOrder []